const AccountHolderCtrl = require('../controllers/account-holder');

const accountHolderRoutes = (router) => {
    const accountHolderCtrl = new AccountHolderCtrl();

    // UserController
    router.route('/user/search').post(accountHolderCtrl.search);
    router.route('/user/uploadPhoto').post(accountHolderCtrl.uploadPhoto);
    router.route('/user/get').get(accountHolderCtrl.getAccount);
    router.route('/user/viewRequest').get(accountHolderCtrl.viewRequest);
    router.route('/user/block').post(accountHolderCtrl.block);
    router.route('/user/unblock').post(accountHolderCtrl.unblock);
    router.route('/user/blockDevice').get(accountHolderCtrl.blockDevice);
    router.route('/user/unblockDevice').get(accountHolderCtrl.unblockDevice);
    router.route('/user/blockReasons').get(accountHolderCtrl.blockReasons);
    router.route('/user/unblockReasons').get(accountHolderCtrl.unblockReasons);
    router.route('/user/blockDeviceReasons').get(accountHolderCtrl.blockDeviceReasons);
    router.route('/user/unblockDeviceReasons').get(accountHolderCtrl.unblockDeviceReasons);
    router.route('/user/countries').get(accountHolderCtrl.countries);
    router.route('/user/checkByEmail').get(accountHolderCtrl.getAccountDetailsEmail);
    router.route('/user/checkByPhone').get(accountHolderCtrl.getAccountDetailsPhone);
    router.route('/user/checkIdentity').post(accountHolderCtrl.checkIdentity);
    router.route('/user/create').post(accountHolderCtrl.create);
    router.route('/user/changeType').post(accountHolderCtrl.changeType);
    router.route('/user/cancelRequest').post(accountHolderCtrl.cancelRequest);
    router.route('/user/verificationDocuments').get(accountHolderCtrl.verificationDocuments);
    router.route('/user/addDocument').post(accountHolderCtrl.addDocument);
    router.route('/user/deleteDocument').post(accountHolderCtrl.deleteDocument);
    router.route('/user/edit').post(accountHolderCtrl.edit);
    router.route('/user/addIdentity').post(accountHolderCtrl.addIdentity);
    router.route('/user/removeIdentity').post(accountHolderCtrl.removeIdentity);
    router.route('/user/getAllAccountPurchases').post(accountHolderCtrl.getAllAccountPurchases);
    router.route('/user/resetAccess').post(accountHolderCtrl.resetAccess);
    router.route('/user/setPrimary').post(accountHolderCtrl.setPrimary);
    router.route('/user/verify').post(accountHolderCtrl.verify);
    router.route('/user/permissions').get(accountHolderCtrl.permissions);
    router.route('/user/linkAccount').post(accountHolderCtrl.linkAccount);
    router.route('/user/unlinkAccount').post(accountHolderCtrl.unlinkAccount);
    router.route('/user/defaultRider').get(accountHolderCtrl.defaultRider);
    router.route('/user/editRequest').post(accountHolderCtrl.editRequest);
    router.route('/user/topupRange').get(accountHolderCtrl.topupRange);
    router.route('/user/registerCard').post(accountHolderCtrl.registerCard);
    router.route('/user/deregisterCard').post(accountHolderCtrl.deregisterCard);
    router.route('/user/getTicketTransactionLog').post(accountHolderCtrl.getTicketTransactionLog);
}

module.exports = accountHolderRoutes;
